Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 601766 - Pathnames in jython incorrect on 32 bit arch
Pathnames in jython incorrect on 32 bit arch
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: jython (Show other bugs)
13
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Andrew Overholt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-08 11:11 EDT by Eric Brunson
Modified: 2010-08-05 19:42 EDT (History)
3 users (show)

See Also:
Fixed In Version: jython-2.2.1-4.5.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-05 19:42:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Brunson 2010-06-08 11:11:31 EDT
Description of problem:

jython fails to find libreadline-java.

ebrunsonlx(~)$ jython
Jython 2.2.1 on java1.6.0_18
Exception in thread "main" java.lang.NoClassDefFoundError: org/gnu/readline/ReadlineLibrary
    at org.python.util.ReadlineConsole.<init>(Unknown Source)
    at org.python.util.ReadlineConsole.<init>(Unknown Source)
    at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
    ...


Version-Release number of selected component (if applicable):

ebrunsonlx(~)$ rpm -q fedora-release
fedora-release-13-1.noarch
ebrunsonlx(~)$ rpm -q jython
jython-2.2.1-4.4.fc13.noarch


Additional info:

Changing these lines...

BASE_FLAGS="$BASE_FLAGS -Djava.library.path=/usr/lib64/libreadline-java"
CLASSPATH=:/usr/lib64/libreadline-java/libreadline-java.jar

to...

BASE_FLAGS="$BASE_FLAGS -Djava.library.path=/usr/lib/libreadline-java"
CLASSPATH=:/usr/lib/libreadline-java/libreadline-java.jar

fixes the problem.

Info from Andrew Overholt:

This is a bug in the package.  It became noarch back in February but
that means that the %{_libdir} reference in the specfile gets turned
into /usr/lib or /usr/lib64 depending on the architecture of the _build_
machine.  That'll need to be changed to do some uname checking before
setting the classpath.  Alternatively, the package can go back to being
arch-specific but that may have ramifications beyond the other simple
fix.
Comment 1 Andrew Overholt 2010-06-08 14:45:56 EDT
I changed the wrapper script to look at uname's output before it looks for /usr/lib or /usr/lib64.  I've pushed a build for F-13:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2239076

When that build finishes, please try it out and see if it fixes the problem for you.  Thanks.

On my own x86_64 and x86 boxes I can verify that it fixes the issue.
Comment 2 Eric Brunson 2010-06-08 15:09:49 EDT
Works on my x86 boxes.

Thank you.
Comment 3 Fedora Update System 2010-07-27 09:37:37 EDT
jython-2.2.1-4.5.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/jython-2.2.1-4.5.fc13
Comment 4 Fedora Update System 2010-07-30 04:44:29 EDT
jython-2.2.1-4.5.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update jython'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/jython-2.2.1-4.5.fc13
Comment 5 Fedora Update System 2010-08-05 19:42:13 EDT
jython-2.2.1-4.5.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.